package com.company.jsextdemo.web.mainwindow;

import com.company.jsextdemo.web.AlertExtension;
import com.haulmont.cuba.web.app.mainwindow.AppMainWindow;
import com.vaadin.ui.AbstractComponent;

import java.util.Map;

public class ExtAppMainWindow extends AppMainWindow {
    private AlertExtension alertExtension;

    @Override
    public void init(Map<String, Object> params) {
        super.init(params);

        // Add extension to some existing component in layout
        AbstractComponent windowComponent = workArea.unwrap(AbstractComponent.class);
        alertExtension = new AlertExtension(windowComponent);
    }

    public void showExtAlert() {
        alertExtension.saySomething("Hello!");
    }
}